net.fortuna.ical4j.model.property

## Class Sequence

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.Sequence

All Implemented Interfaces:
  Serializable

    public class Sequence
    extends Property

$Id$ Created: [Apr 6, 2004] Defines a SEQUENCE iCalendar component property.

         4.8.7.4 Sequence Number

            Property Name: SEQUENCE

            Purpose: This property defines the revision sequence number of the
            calendar component within a sequence of revisions.

            Value Type: integer

            Property Parameters: Non-standard property parameters can be
            specified on this property.

            Conformance: The property can be specified in "VEVENT", "VTODO" or
            "VJOURNAL" calendar component.

            Description: When a calendar component is created, its sequence
            number is zero (US-ASCII decimal 48). It is monotonically incremented
            by the "Organizer's" CUA each time the "Organizer" makes a
            significant revision to the calendar component. When the "Organizer"
            makes changes to one of the following properties, the sequence number
            MUST be incremented:

              .  "DTSTART"

              .  "DTEND"

              .  "DUE"

              .  "RDATE"

              .  "RRULE"

              .  "EXDATE"

              .  "EXRULE"

              .  "STATUS"

            In addition, changes made by the "Organizer" to other properties can
            also force the sequence number to be incremented. The "Organizer" CUA
            MUST increment the sequence number when ever it makes changes to
            properties in the calendar component that the "Organizer" deems will
            jeopardize the validity of the participation status of the
            "Attendees". For example, changing the location of a meeting from one
            locale to another distant locale could effectively impact the
            participation status of the "Attendees".

            The "Organizer" includes this property in an iCalendar object that it
            sends to an "Attendee" to specify the current version of the calendar
            component.

            The "Attendee" includes this property in an iCalendar object that it
            sends to the "Organizer" to specify the version of the calendar
            component that the "Attendee" is referring to.

            A change to the sequence number is not the mechanism that an
            "Organizer" uses to request a response from the "Attendees". The
            "RSVP" parameter on the "ATTENDEE" property is used by the
            "Organizer" to indicate that a response from the "Attendees" is
            requested.

            Format Definition: This property is defined by the following
            notation:

              seq = "SEQUENCE" seqparam ":" integer CRLF
              ; Default is "0"

              seqparam   = *(";" xparam)

            Example: The following is an example of this property for a calendar
            component that was just created by the "Organizer".

              SEQUENCE:0

            The following is an example of this property for a calendar component
            that has been revised two different times by the "Organizer".

              SEQUENCE:2

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Sequence()` Default constructor.
`Sequence(int aSequenceNo)`
`Sequence(ParameterList aList, int aSequenceNo)`
`Sequence(ParameterList aList, String aValue)`
`Sequence(String aValue)`

### Method Summary

Methods
`int` `getSequenceNo()`
`String` `getValue()`
`void` `setValue(String aValue)` Sets the current value of the property.
`void` `validate()` Perform validation on a property.

### Methods inherited from class net.fortuna.ical4j.model.Property

`copy, equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Sequence

    public Sequence()

Default constructor.

#### Sequence

    public Sequence(String aValue)

Parameters:
  `aValue` - a value string for this component

#### Sequence

    public Sequence(ParameterList aList,
            String aValue)

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component

#### Sequence

    public Sequence(int aSequenceNo)

Parameters:
  `aSequenceNo` - a sequence number

#### Sequence

    public Sequence(ParameterList aList,
            int aSequenceNo)

Parameters:
  `aList` - a list of parameters for this component
  `aSequenceNo` - a sequence number

### Method Detail

#### getSequenceNo

    public final int getSequenceNo()

Returns:
  Returns the sequenceNo.

#### setValue

    public final void setValue(String aValue)

Sets the current value of the property.

Specified by:
  `setValue` in class `Property`
Parameters:
  `aValue` - a string representation of the property value

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value

#### validate

    public final void validate()
                        throws ValidationException

Perform validation on a property.

Specified by:
  `validate` in class `Property`
Throws:
  `ValidationException` - where the property is not in a valid state